[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.ScreenToClient

Converts the specified screen coordinates to client-relative coordinates.

## Declaration

Source position: forms.pp line 200

`public function TScrollingWinControl.ScreenToClient(`
`const APoint: TPoint`
`):TPoint; override;`

## Arguments

`APoint` |  | TPoint instance with the screen coordinates converted in the method.

## Function result

TPoint instance with the client-relative coordinates for the specified value.

## Description

ScreenToClient is an overridden method in TScrollingWinControl.

ScreenToClient calls the inherited method to get the TPoint instance with the client coordinates used in the return value. The X and Y members in the return value are updated to reflect the current scroll offsets for the control. This gives the origin on the logical display area for the visible area on the control.

ScreenToClient is used, along with ClientToScreen, in inherited methods which respond to changes in the mouse pointer position for a control. This includes context menu display and drag-and-dock operations.

## See also

TScrollingWinControl.ClientToScreen |  | Converts the specified client coordinates to absolute screen coordinates.
TControl.ScreenToClient |  | Converts absolute screen coordinates into client-relative coordinates.